Summary:        Command-line interface for Google Cloud Platform products and services
Name:           google-cloud-sdk
Version:        183.0.0
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://cloud.google.com/sdk/
#AltURL:        https://cloud.google.com/sdk/docs/quickstart-linux
Source0:        google-cloud-sdk_%{version}.orig.tar.gz
BuildRequires:  python2-devel
BuildArch:      x86_64

%global debug_package %{nil}

%description
The essential tool for developers working with the Google Cloud Platform.
Google Cloud SDK provides all the command line tools, local emulators and
libraries needed to make it easy to build apps and services for Cloud
Platform. The google-cloud-sdk command enables seamless local authentication and
powerful command line access to many cloud resources. Local emulators for
core Cloud Platform services make it easy to develop locally and rich
client libraries in your language of choice make it easy to access cloud
services.

# To refresh, download the latest tar.gz from 
# https://storage.googleapis.com/cloud-sdk-release/for_packagers/linux/google-cloud-sdk_%{version}.orig.tar.gz

%prep
%setup -q -n google-cloud-sdk

#Fix python dependencies
sed -i 's|/usr/bin/python2.4|/usr/bin/python2|' $(grep -l -r /usr/bin/python2.4)
sed -i 's|/usr/bin/python3|/usr/bin/python|' $(grep -l -r /usr/bin/python3)

%build

%install
# brp-python-bytecompile errors out when processing some of the files
# so lets not run it
%define __os_install_post %(echo "%{__os_install_post}" | grep -v brp-python-bytecompile)
# bin and lib have to be in the same directory.
# Ya!  hardcoded paths.

# Install binaries
mkdir -p %{buildroot}/opt/google-cloud-sdk/bin
cp -rp  bin/* %{buildroot}/opt/google-cloud-sdk/bin

# Install '.install' dir (where the tools keep their metadata)
mkdir -p %{buildroot}/opt/google-cloud-sdk/.install
cp -rp .install/* %{buildroot}/opt/google-cloud-sdk/.install

# Install libraries
mkdir -p %{buildroot}/opt/google-cloud-sdk/lib
cp -rp lib/* %{buildroot}/opt/google-cloud-sdk/lib

# Install bash completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
cp -p completion.bash.inc %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

# Install platform dir :/
mkdir -p %{buildroot}/opt/google-cloud-sdk/platform
cp -rp platform/* %{buildroot}/opt/google-cloud-sdk/platform

# Install man pages
mkdir -p %{buildroot}%{_mandir}
cp -rp help/man/man1 %{buildroot}/%{_mandir}

# Put some links to the stuff in bin/
mkdir -p %{buildroot}%{_bindir}
ln -s /opt/google-cloud-sdk/bin/gcloud %{buildroot}%{_bindir}/gcloud
ln -s /opt/google-cloud-sdk/bin/gsutil %{buildroot}%{_bindir}/gsutil

%files
%license LICENSE
%doc README RELEASE_NOTES
/opt/google-cloud-sdk
%{_bindir}/gcloud
%{_bindir}/gsutil
%{_sysconfdir}/bash_completion.d/%{name}
%{_mandir}/man1/*


%changelog
* Thu Aug 19 2016 Kenny Woodson <kwoodson@redhat.com> 122.0.0-3
- Move into /opt/google-cloud-platform
* Thu Aug 18 2016 Joel Diaz <jdiaz@redhat.com> 122.0.0-2
- Move into /opt/google-cloud-platform
* Thu Aug 18 2016 Kenny Woodson <kwoodson@redhat.com> 122.0.0-1
- Updating package to 122 and adding beta
* Thu Jun 23 2016 Troy Dawson <tdawson@redhat.com> 115.0.0-1
- Initial package
